%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions

Summary: xdebug extension for php 5.6
Summary(ko): php 5.6 xdebug 확장
Name: php56-pecl-xdebug
Version: 2.4.0
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: http://pecl.php.net/get/xdebug-%{version}RC3.tgz

BuildRoot: /var/tmp/%{name}-root
Requires: php56api
BuildRequires: php56-devel autoconf automake libtool gcc make

%description
Xdebug extension for php 5.6

%prep
%setup -q -n xdebug-%{version}RC3

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}" \
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/xdebug.so %{buildroot}%{_extdir}/xdebug.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{fpm,cli}
for i in fpm cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/xdebug.ini <<EOF
zend_extension = /usr/lib64/php/extensions/xdebug.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/xdebug.so
%config(noreplace) %{_sysconfdir}/php.d/fpm/xdebug.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/xdebug.ini

%changelog
* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 1:2.4.0-1%{?dist}
- update 2.4.0RC3 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:2.3.3-1%{?dist}
- update 2.3.3

* Wed Jan  7 2015 JoungKyun.Kim <http://oops.org> 0:2.2.6-1%{?dist}
- update 2.2.6

* Tue Jan 21 2014 JoungKyun.Kim <http://oops.org> 0:2.2.3-1%{?dist}
- fixed call zend_extention from extension

* Wed Apr 24 2013 JoungKyun.Kim <http://oops.org> 0:2.2.2-2%{?dist}
- fixed call zend_extention from extension

* Sun Apr 14 2013 JoungKyun.Kim <http://oops.org> 0:2.2.2-1%{?dist}
- init

